Bug 855882 - llvm-config should be moved to llvm-devel subpackage
llvm-config should be moved to llvm-devel subpackage
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: llvm (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Michel Alexandre Salim
Fedora Extras Quality Assurance
:
: 903283 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-10 10:06 EDT by Horst H. von Brand
Modified: 2013-03-02 15:12 EST (History)
5 users (show)

See Also:
Fixed In Version: llvm-3.1-15.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 903283 (view as bug list)
Environment:
Last Closed: 2013-02-01 02:42:56 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Horst H. von Brand 2012-09-10 10:06:17 EDT
Description of problem:
llvm-config isn't available; but "man llvm-config" gives a manpage

Version-Release number of selected component (if applicable):
llvm-2.9-10.fc16.x86_64

How reproducible:
Always

Steps to Reproduce:
1. llvm-config ~~-> command not found
2. man llvm-config ~~-> manpage shows
3.
  
Actual results:


Expected results:
Either delete the useless manpage or add the documented program ;-)

Additional info:
Comment 1 Horst H. von Brand 2012-09-10 10:07:27 EDT
Sorry, had the Fedora version wrong. This is 16.
Comment 2 Fedora End Of Life 2013-01-16 10:52:04 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Yury V. Zaytsev 2013-01-23 11:15:18 EST
Still a problem for me on FC 18, I've cloned it as #903283, but this one can be probably closed as WONTFIX, because FC 16 isn't gonna get an llvm update anyways.
Comment 4 Jens Petersen 2013-01-28 00:41:17 EST
*** Bug 903283 has been marked as a duplicate of this bug. ***
Comment 5 Jens Petersen 2013-01-28 00:48:19 EST
What package owns the manpage?

I see llvm-config-32 and llvm-config-64 in llvm-devel.i686 and llvm-devel.x86_64.
So I guess that is what the manpage is referring to.
Comment 6 Yury V. Zaytsev 2013-01-28 10:46:37 EST
Hi Jens,

The package that owns the manpage is llvm, but llvm-config is a symlink to llvm-config-32/64 managed by the alternatives system and belongs to llvm-devel.

So either the manpage can be moved to llvm-devel, or llvm-config to llvm. Honestly, I don't think that llvm-config is very useful without the headers, so I'd rather suggest to move the manpage to llvm-devel.

Hope that helps,
--Yury.
Comment 7 Jens Petersen 2013-01-31 02:59:38 EST
Ok thanks for the explanation.

llvm-3.1-15.fc19 should hopefully fix this.
Comment 8 Fedora Update System 2013-02-20 04:26:27 EST
llvm-3.1-13.1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/llvm-3.1-13.1.fc18
Comment 9 Vasilis Keramidas 2013-03-01 18:05:26 EST
llvm-3.1-13.1.fc18 fixes bug
I left positive feedback at https://admin.fedoraproject.org/updates/F18/FEDORA-2013-2757
Comment 10 Fedora Update System 2013-03-02 15:12:22 EST
llvm-3.1-13.1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.